## org.apache.lucene.search
Class SpanFilterResult

    java.lang.Object
      org.apache.lucene.search.SpanFilterResult

    public class SpanFilterResult

extends Object

The results of a SpanQueryFilter. Wraps the BitSet and the position infomration from the SpanQuery

NOTE: This API is still experimental and subject to change.

Nested Class Summary
`static class` `SpanFilterResult.PositionInfo`
`static class` `SpanFilterResult.StartEnd`

Constructor Summary
`SpanFilterResult(BitSet bits, List positions)`

Method Summary
`BitSet` `getBits()`
`List` `getPositions()` The first entry in the array corresponds to the first "on" bit.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpanFilterResult

    public SpanFilterResult(BitSet bits,
                            List positions)

Parameters:
  `bits` - The bits for the Filter
  `positions` - A List of `SpanFilterResult.PositionInfo` objects

Method Detail

### getPositions

    public List getPositions()

  The first entry in the array corresponds to the first "on" bit. Entries are increasing by document order

  Returns:
    A List of PositionInfo objects

### getBits

    public BitSet getBits()

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.